> ## Documentation Index
> Fetch the complete documentation index at: https://docs.soharhealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Run

> Updates callback input for a pending Run.



## OpenAPI

````yaml put /v1/runs/{flowRunId}
openapi: 3.0.0
info:
  version: 1.0.0
  title: Sohar API
  license:
    name: MIT
servers:
  - url: https://api.soharhealth.com
security: []
paths:
  /v1/runs/{flowRunId}:
    put:
      tags:
        - Runs
      summary: Update Run
      description: Updates callback input for a pending Run.
      operationId: updateRun
      parameters:
        - in: path
          name: flowRunId
          required: true
          description: The Sohar ID for the Run
          schema:
            type: string
            example: fb701ac1-1246-4860-b1ec-bd916b97a990
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateRunRequest'
            example:
              input:
                memberId: ABC123456
      responses:
        '200':
          description: Updated Run status
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateRunResponse'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - invalid_request_error
                    default: invalid_request_error
                  param:
                    type: string
                    example: input
        '403':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - invalid_request_error
                    default: invalid_request_error
        '404':
          description: Not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - invalid_request_error
                    default: invalid_request_error
        '500':
          description: Internal error
      security:
        - BasicAuth: []
components:
  schemas:
    UpdateRunRequest:
      type: object
      required:
        - input
      properties:
        input:
          type: object
          description: Input payload to patch into callback state context.
          additionalProperties: true
    UpdateRunResponse:
      type: object
      required:
        - flowRunId
        - status
      properties:
        flowRunId:
          type: string
          description: The Sohar ID for the Run.
          example: fb701ac1-1246-4860-b1ec-bd916b97a990
        status:
          type: string
          description: Current status of the Run.
          enum:
            - CREATED
            - IN_PROGRESS
            - PENDING
            - COMPLETE
            - ERROR
  securitySchemes:
    BasicAuth:
      type: http
      scheme: bearer

````